//-------------------------------------------------------------------
// File:      AzandeSystemConfig.h
// Version:   $Rev$
// Revised:   $Date$
//            $Author: Anders Zeijlon$
//
// Description:
//
// Copyright (c) 2015 Zeijlon Systems AB,
// All rights reserved.
//-------------------------------------------------------------------

#ifndef AZANDESYSTEMCONFIG_H_
#define AZANDESYSTEMCONFIG_H_


// MCU endianess definition
//#define MCU_IS_BIG_ENDIAN
#define MCU_IS_LITTLE_ENDIAN

#define READ_BUFFER_SIZE 50


#define AZANDE_MAX_COMMANDS 15
#define AZANDE_MAX_EVENTS 	15

#include "avr/pgmspace.h"


//#define __FLASH_DIRECTIVE
#define __FLASH_DIRECTIVE PROGMEM
#define __USE_PROGMEM


#ifdef __USE_PROGMEM
#define __FLASH_READ_BYTE(VALUE) pgm_read_byte_near(&(VALUE))
#define __FLASH_READ_PTR(VALUE) pgm_read_ptr_near(&(VALUE))
#else
#define __FLASH_READ_BYTE(VALUE) VALUE
#define __FLASH_READ_PTR(VALUE) VALUE
#endif


#endif /* AZANDESYSTEMCONFIG_H_ */
